## org.eclipse.datatools.connectivity.ui.navigator.actions
Class RefreshActionProvider

    java.lang.Object
      org.eclipse.ui.actions.ActionGroup
          org.eclipse.ui.navigator.CommonActionProvider
              org.eclipse.datatools.connectivity.ui.navigator.actions.RefreshActionProvider

All Implemented Interfaces:
  org.eclipse.ui.navigator.IMementoAware

    public class RefreshActionProvider

extends org.eclipse.ui.navigator.CommonActionProvider

Adds a refresh menu item to all DSE objects. This refresh action can then be overridden as appropriate by profile implementers.

Author:
  brianf

Constructor Summary
`RefreshActionProvider()` Constructor

Method Summary
`void` `fillActionBars(org.eclipse.ui.IActionBars bars)`
`void` `fillContextMenu(org.eclipse.jface.action.IMenuManager manager)`
`org.eclipse.jface.viewers.StructuredViewer` `getViewer()`
`void` `init(org.eclipse.ui.navigator.ICommonActionExtensionSite aConfig)`
`void` `setActionContext(org.eclipse.ui.actions.ActionContext aContext)`
`void` `setContext(org.eclipse.ui.actions.ActionContext context)`
`void` `updateActionBars()`

Methods inherited from class org.eclipse.ui.navigator.CommonActionProvider
`restoreState, saveState`

Methods inherited from class org.eclipse.ui.actions.ActionGroup
`dispose, getContext`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RefreshActionProvider

    public RefreshActionProvider()

  Constructor

Method Detail

### setActionContext

    public void setActionContext(org.eclipse.ui.actions.ActionContext aContext)

### fillContextMenu

    public void fillContextMenu(org.eclipse.jface.action.IMenuManager manager)

  Overrides:
    `fillContextMenu` in class `org.eclipse.ui.actions.ActionGroup`

### fillActionBars

    public void fillActionBars(org.eclipse.ui.IActionBars bars)

  Overrides:
    `fillActionBars` in class `org.eclipse.ui.actions.ActionGroup`

### init

    public void init(org.eclipse.ui.navigator.ICommonActionExtensionSite aConfig)

  Overrides:
    `init` in class `org.eclipse.ui.navigator.CommonActionProvider`

### setContext

    public void setContext(org.eclipse.ui.actions.ActionContext context)

  Overrides:
    `setContext` in class `org.eclipse.ui.actions.ActionGroup`

### updateActionBars

    public void updateActionBars()

  Overrides:
    `updateActionBars` in class `org.eclipse.ui.actions.ActionGroup`

### getViewer

    public org.eclipse.jface.viewers.StructuredViewer getViewer()